#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for reading and converting WordPerfect(TM) documents
Summary(pl.UTF-8):	Biblioteka do odczytu i konwersji dokumentów WordPerfecta(TM)
Name:		libwpd
Version:	0.9.9
Release:	1
License:	MPL v2.0 or LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz
# Source0-md5:	6b74a863c957563924546e16cc833591
URL:		http://libwpd.sourceforge.net/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library that handles WordPerfect documents.

%description -l pl.UTF-8
Biblioteka obsługująca dokumenty WordPerfecta.

%package devel
Summary:	Header files for libwpd library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwpd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for libwpd library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libwpd.

%package static
Summary:	Static libwpd library
Summary(pl.UTF-8):	Statyczna biblioteka libwpd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwpd library.

%description static -l pl.UTF-8
Statyczna biblioteka libwpd.

%package tools
Summary:	Tools to transform WordPerfect Documents into other formats
Summary(pl.UTF-8):	Narzędzia do przekształcania dokumentów WordPerfecta na inne formaty
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform WordPerfect Documents (WPD) into other formats.
Currently supported: html, raw, text.

%description tools -l pl.UTF-8
Narzędzia do przekształcania dokumentów WordPerfecta (WPD) na inne
formaty. Aktualnie obsługiwane są: html, raw, text.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwpd-*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/libwpd-0.9.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwpd-0.9.so.9
%attr(755,root,root) %{_libdir}/libwpd-stream-0.9.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwpd-stream-0.9.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwpd-0.9.so
%attr(755,root,root) %{_libdir}/libwpd-stream-0.9.so
%{_includedir}/libwpd-0.9
%{_pkgconfigdir}/libwpd-0.9.pc
%{_pkgconfigdir}/libwpd-stream-0.9.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwpd-0.9.a
%{_libdir}/libwpd-stream-0.9.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wpd2*
%changelog
* Thu Sep 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwpd.git;a=log;h=master

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> e0b9e60
- updated to 0.9.9

* Fri Jun 07 2013 Jakub Bogusz <qboosh@pld-linux.org> ea4e066
- updated License tag

* Fri Jun 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 4cb0106
- updated to 0.9.8

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 7b2ac48
- updated to 0.9.7

* Sat Oct 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 9cbc194
- updated ac/am version

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> 9b71490
- updated to 0.9.3
- drop redundant configure option
- verbose make

* Tue Jun 07 2011 lisu <lisu@pld-linux.org> f9e2da2
- updated to 0.9.2

* Fri Apr 15 2011 lisu <lisu@pld-linux.org> bb45b34
- updated to 0.9.1
- drop libtool files
- drop useless doc dir

* Tue Dec 28 2010 lisu <lisu@pld-linux.org> 5c7e6a7
- unneeded

* Tue Dec 28 2010 lisu <lisu@pld-linux.org> 4cb55a1
- reverse
- rel 3

* Tue Dec 28 2010 lisu <lisu@pld-linux.org> 0e12862
- add -I/usr/include/libwpd-0.9/libwpd-stream to CFLAGS

* Tue Dec 28 2010 lisu <lisu@pld-linux.org> 204b67a
- add /usr/include/libwpd-0.9/libwpd-stream to CFLAGS in .pc
- rel 2

* Sun Nov 21 2010 Jakub Bogusz <qboosh@pld-linux.org> 2720408
- glib2 and libgsf no longer used
- package more docs

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 52b70af
- Up to 0.9.0
- Bump so version

* Thu Jul 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 9ea75ed
- updated to 0.8.14

* Sat Jan 05 2008 Jakub Bogusz <qboosh@pld-linux.org> f5741e6
- ghost soname symlinks

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> f705686
- up to 0.8.13

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 1854400
- updated to 0.8.12

* Mon Sep 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 0b11b41
- updated to 0.8.11

* Sun Aug 19 2007 witekfl <witekfl@pld-linux.org> a8c4a98
- added bcond_without static_libs

